<?php

namespace TablesRouter;

class GruppeVerantwortlich {
  
  

  
  

    // --- Statische Methoden ---
  
  public static function deleteConfirmURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::deleteConfirmURL2($params);
	
    
  }

  public static function viewURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::viewURL2($params);
	
    
  }

  public static function indexURL($params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		
		return self::indexURL2($params);
	
    
  }

  public static function createURL($params = [] , $column_gruppe = null ) { 
    
    
    // --- BLOCK: main ---
    
		$params['column_gruppe'] = $column_gruppe;
		return self::createURL2($params);
	
    
  }

  public static function editURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::editURL2($params);
	
    
  }

  public static function deleteURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::deleteURL2($params);
	
    
  }

  public static function fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_create_gruppeVerantwortlich_gruppe_gruppe_a_fBbeiLnCURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_create_gruppeVerantwortlich_gruppe_gruppe_a_fBbeiLnCURL2($params);
	
    
  }

  public static function fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_edit_gruppeVerantwortlich_gruppe_gruppe_a_fBbeiLnCURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_edit_gruppeVerantwortlich_gruppe_gruppe_a_fBbeiLnCURL2($params);
	
    
  }

  public static function fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_create_gruppeItem_list_list_a_WoNKw4OaURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_create_gruppeItem_list_list_a_WoNKw4OaURL2($params);
	
    
  }

  public static function fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_edit_gruppeItem_list_list_a_WoNKw4OaURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_edit_gruppeItem_list_list_a_WoNKw4OaURL2($params);
	
    
  }

  public static function fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_create_gruppeVerantwortlich_gruppe_a_fBbeiLnCURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_create_gruppeVerantwortlich_gruppe_a_fBbeiLnCURL2($params);
	
    
  }

  public static function fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_edit_gruppeVerantwortlich_gruppe_a_fBbeiLnCURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_edit_gruppeVerantwortlich_gruppe_a_fBbeiLnCURL2($params);
	
    
  }

  public static function fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_create_gruppeItem_list_a_WoNKw4OaURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_create_gruppeItem_list_a_WoNKw4OaURL2($params);
	
    
  }

  public static function fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_edit_gruppeItem_list_a_WoNKw4OaURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_edit_gruppeItem_list_a_WoNKw4OaURL2($params);
	
    
  }

  public static function deleteConfirmURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeVerantwortlich/deleteConfirm';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function viewURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeVerantwortlich/view';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function indexURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeVerantwortlich/index';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function route($q) { 
    
    
    // --- BLOCK: main ---
    
	if (($q == 'deleteConfirm') ) {
		try {
			$result = \Tables\GruppeVerantwortlich::deleteConfirmAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'view') ) {
		try {
			$result = \Tables\GruppeVerantwortlich::viewAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'create') ) {
		try {
			$result = \Tables\GruppeVerantwortlich::createAction(isset($_GET['column_gruppe']) ? $_GET['column_gruppe'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'edit') ) {
		try {
			$result = \Tables\GruppeVerantwortlich::editAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_create_gruppeVerantwortlich_gruppe_gruppe_a_fBbeiLnC') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\GruppeVerantwortlich::fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_create_gruppeVerantwortlich_gruppe_gruppe_a_fBbeiLnCAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_edit_gruppeVerantwortlich_gruppe_gruppe_a_fBbeiLnC') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\GruppeVerantwortlich::fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_edit_gruppeVerantwortlich_gruppe_gruppe_a_fBbeiLnCAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_create_gruppeItem_list_list_a_WoNKw4Oa') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\GruppeVerantwortlich::fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_create_gruppeItem_list_list_a_WoNKw4OaAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_edit_gruppeItem_list_list_a_WoNKw4Oa') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\GruppeVerantwortlich::fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_edit_gruppeItem_list_list_a_WoNKw4OaAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_create_gruppeVerantwortlich_gruppe_a_fBbeiLnC') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\GruppeVerantwortlich::fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_create_gruppeVerantwortlich_gruppe_a_fBbeiLnCAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_edit_gruppeVerantwortlich_gruppe_a_fBbeiLnC') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\GruppeVerantwortlich::fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_edit_gruppeVerantwortlich_gruppe_a_fBbeiLnCAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_create_gruppeItem_list_a_WoNKw4Oa') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\GruppeVerantwortlich::fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_create_gruppeItem_list_a_WoNKw4OaAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_edit_gruppeItem_list_a_WoNKw4Oa') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\GruppeVerantwortlich::fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_edit_gruppeItem_list_a_WoNKw4OaAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'delete') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\GruppeVerantwortlich::deleteAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'index' || $q == '')) {
		try {
			$result = \Tables\GruppeVerantwortlich::indexAction();
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}

	header('HTTP/1.0 404 Not found');
	\EasyEditor\Errors::render('Die angeforderte Funktion wurde nicht gefunden.');
	die();
    
  }

  public static function createURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeVerantwortlich/create';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function editURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeVerantwortlich/edit';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function deleteURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeVerantwortlich/delete';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_create_gruppeVerantwortlich_gruppe_gruppe_a_fBbeiLnCURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeVerantwortlich/fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_create_gruppeVerantwortlich_gruppe_gruppe_a_fBbeiLnC';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_edit_gruppeVerantwortlich_gruppe_gruppe_a_fBbeiLnCURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeVerantwortlich/fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_edit_gruppeVerantwortlich_gruppe_gruppe_a_fBbeiLnC';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_create_gruppeItem_list_list_a_WoNKw4OaURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeVerantwortlich/fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_create_gruppeItem_list_list_a_WoNKw4Oa';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_edit_gruppeItem_list_list_a_WoNKw4OaURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeVerantwortlich/fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_edit_gruppeItem_list_list_a_WoNKw4Oa';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_create_gruppeVerantwortlich_gruppe_a_fBbeiLnCURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeVerantwortlich/fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_create_gruppeVerantwortlich_gruppe_a_fBbeiLnC';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_edit_gruppeVerantwortlich_gruppe_a_fBbeiLnCURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeVerantwortlich/fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_edit_gruppeVerantwortlich_gruppe_a_fBbeiLnC';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_create_gruppeItem_list_a_WoNKw4OaURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeVerantwortlich/fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_create_gruppeItem_list_a_WoNKw4Oa';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_edit_gruppeItem_list_a_WoNKw4OaURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/GruppeVerantwortlich/fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_edit_gruppeItem_list_a_WoNKw4Oa';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function indexAccess() { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getGruppe())) && (!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function deleteConfirmAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getGruppe()) && (\FOP\User::getGruppe())))) return false;
    // --- BLOCK: access-itemlist-gruppeVerantwortlich-delete ---
    
		if ($id !== null && \FOP\Database::query('SELECT SUM(CASE WHEN COALESCE(('.\FOP\Database::quote(\FOP\User::getGruppe()).') AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('Wk3yjwJT').' WHERE '.qi('Wk3yjwJT').'.'.qi('gruppe').' = '.qi('qH3eMvH2').'.'.qi('ID').' AND (('.qi('Wk3yjwJT').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1) END) FROM '.qi('gruppe').' '.qi('qH3eMvH2').' WHERE '.qi('qH3eMvH2').'.'.qi('ID').' = '.qi('gruppeVerantwortlich').'.'.qi('gruppe').' LIMIT 1), FALSE)) AND (COALESCE((SELECT ('.\FOP\Database::quote(\FOP\User::getGruppe()).') FROM '.qi('gruppe').' '.qi('4YNQbTPE').' WHERE '.qi('4YNQbTPE').'.'.qi('ID').' = '.qi('gruppeVerantwortlich').'.'.qi('gruppe').' LIMIT 1), FALSE)) AND ('.\FOP\Database::quote(\FOP\User::getGruppe()).'), false) THEN 0 ELSE 1 END) FROM '.qi('gruppeVerantwortlich').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function viewAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(!\FOP\User::getIsGuest())) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function deleteAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getGruppe()) && (\FOP\User::getGruppe())))) return false;
    // --- BLOCK: access-itemlist-gruppeVerantwortlich-delete ---
    
		if (\FOP\Database::query('SELECT SUM(CASE WHEN COALESCE(('.\FOP\Database::quote(\FOP\User::getGruppe()).') AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('Wk3yjwJT').' WHERE '.qi('Wk3yjwJT').'.'.qi('gruppe').' = '.qi('qH3eMvH2').'.'.qi('ID').' AND (('.qi('Wk3yjwJT').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1) END) FROM '.qi('gruppe').' '.qi('qH3eMvH2').' WHERE '.qi('qH3eMvH2').'.'.qi('ID').' = '.qi('gruppeVerantwortlich').'.'.qi('gruppe').' LIMIT 1), FALSE)) AND (COALESCE((SELECT ('.\FOP\Database::quote(\FOP\User::getGruppe()).') FROM '.qi('gruppe').' '.qi('4YNQbTPE').' WHERE '.qi('4YNQbTPE').'.'.qi('ID').' = '.qi('gruppeVerantwortlich').'.'.qi('gruppe').' LIMIT 1), FALSE)) AND ('.\FOP\Database::quote(\FOP\User::getGruppe()).'), false) THEN 0 ELSE 1 END) FROM '.qi('gruppeVerantwortlich').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function createAccess($column_gruppe = null ) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()) && (!\FOP\User::getIsGuest()) && ((\FOP\User::getGruppe()) && (\FOP\User::getGruppe())))) return false;
    // --- BLOCK: access-item-gruppe-OrtqOgf3-column_gruppe ---
    
		if ($column_gruppe !== null && \FOP\Database::query('SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('Wk3yjwJT').' WHERE '.qi('Wk3yjwJT').'.'.qi('gruppe').' = '.qi('gruppe').'.'.qi('ID').' AND (('.qi('Wk3yjwJT').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1) END) FROM '.qi('gruppe').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($column_gruppe))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: access-item-gruppe-t0aG1aFV-column_gruppe ---
    
		if ($column_gruppe !== null && \FOP\Database::query('SELECT ('.\FOP\Database::quote(\FOP\User::getGruppe()).') FROM '.qi('gruppe').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($column_gruppe))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function editAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getGruppe()) && (\FOP\User::getGruppe())))) return false;
    // --- BLOCK: access-item-gruppeVerantwortlich-edit-id ---
    
		if ($id !== null && \FOP\Database::query('SELECT ('.\FOP\Database::quote(\FOP\User::getGruppe()).') AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('Wk3yjwJT').' WHERE '.qi('Wk3yjwJT').'.'.qi('gruppe').' = '.qi('MoiuP63r').'.'.qi('ID').' AND (('.qi('Wk3yjwJT').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1) END) FROM '.qi('gruppe').' '.qi('MoiuP63r').' WHERE '.qi('MoiuP63r').'.'.qi('ID').' = '.qi('gruppeVerantwortlich').'.'.qi('gruppe').' LIMIT 1), FALSE)) AND (COALESCE((SELECT ('.\FOP\Database::quote(\FOP\User::getGruppe()).') FROM '.qi('gruppe').' '.qi('ZfLFIFaU').' WHERE '.qi('ZfLFIFaU').'.'.qi('ID').' = '.qi('gruppeVerantwortlich').'.'.qi('gruppe').' LIMIT 1), FALSE)) AND ('.\FOP\Database::quote(\FOP\User::getGruppe()).') FROM '.qi('gruppeVerantwortlich').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($id))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_create_gruppeVerantwortlich_gruppe_gruppe_a_fBbeiLnCAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getGruppe())))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_edit_gruppeVerantwortlich_gruppe_gruppe_a_fBbeiLnCAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getGruppe())))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_create_gruppeItem_list_list_a_WoNKw4OaAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getGruppe())))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27constr_formarray_wf_gruppe_edit_gruppeItem_list_list_a_WoNKw4OaAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getGruppe())))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_create_gruppeVerantwortlich_gruppe_a_fBbeiLnCAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getGruppe())))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_edit_gruppeVerantwortlich_gruppe_a_fBbeiLnCAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getGruppe())))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_create_gruppeItem_list_a_WoNKw4OaAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getGruppe())))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetch352c8f11836dedcd28038b25f3195a3123576f497044d958412f198933bb76ba_23_ebnf_Expression6_117_ebnf_anchorsymbol_118_27formarray_wf_gruppe_edit_gruppeItem_list_a_WoNKw4OaAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getGruppe())))) return false;
    // --- BLOCK: main ---
    return true;
    
  }


  
  

  
  
}



